DDUPDATE-CONFIG(8)

NAME

dddupdate-config - ddupdate configuration file setup tool.

SYNOPSIS
dddupdate-config

DESCRIPTION
A simple configuration script for ddupdate. Script provides a way to define address-plugin, service-plugin and hostname in an interactive way.

The set of available plugins loaded depends on environment variables. See PLUGIN LOADING in ddupdate(8).

BUGS
Passwords given to ddupdate must use printable characters which does not require escaping. This is partly a limitation in the script code, partly due to the python netrc module capabilities.

Does not support configuration of more advanced features like ipv6 and non-standard address-plugins beyond web-default-ip and default-if.

SEE ALSO

ddupdate(8)